--- old/usr/src/man/man1/ld.1	2016-08-03 18:34:02.482187339 +0100
+++ new/usr/src/man/man1/ld.1	2016-08-03 18:34:02.501436440 +0100
@@ -2,10 +2,11 @@
 .\" Copyright 1989 AT&T
 .\" Copyright (c) 2009, Sun Microsystems, Inc. All Rights Reserved
 .\" Copyright (c) 2012, Joyent, Inc. All Rights Reserved
+.\" Copyright 2016 RackTop Systems.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH LD 1 "Sep 10, 2013"
+.TH LD 1 "Aug 24, 2016"
 .SH NAME
 ld \- link-editor for object files
 .SH SYNOPSIS
@@ -29,7 +30,7 @@
 [\fB-z\fR ignore | record] [\fB-z\fR initarray=\fIfunction\fR] [\fB-z\fR initfirst]
 [\fB-z\fR interpose] [\fB-z\fR lazyload | nolazyload]
 [\fB-z\fR ld32=\fIarg1\fR,\fIarg2\fR,...] [\fB-z\fR ld64=\fIarg1\fR,\fIarg2\fR,...]
-[\fB-z\fR loadfltr] [\fB-z\fR muldefs] [\fB-z\fR nocompstrtab] [\fB-z\fR nodefaultlib]
+[\fB-z\fR loadfltr] [\fB-z\fR muldefs] [\fB-z\fR mulincl] [\fB-z\fR nocompstrtab] [\fB-z\fR nodefaultlib]
 [\fB-z\fR nodelete] [\fB-z\fR nodlopen] [\fB-z\fR nodump] [\fB-z\fR noldynsym]
 [\fB-z\fR nopartial] [\fB-z\fR noversion] [\fB-z\fR now] [\fB-z\fR origin]
 [\fB-z\fR preinitarray=\fIfunction\fR] [\fB-z\fR redlocsym] [\fB-z\fR relaxreloc]
@@ -70,8 +71,9 @@
 .sp
 .LP
 If any argument is a library, \fBld\fR by default searches the library exactly
-once at the point the library is encountered on the argument list. The library
-can be either a shared object or relocatable archive. See \fBar.h\fR(3HEAD)).
+once at the point the library is first encountered on the argument list. The
+library can be either a shared object or relocatable archive. See
+\fBar.h\fR(3HEAD)).
 .sp
 .LP
 A shared object consists of an indivisible, whole unit that has been generated
@@ -1267,6 +1269,20 @@
 .RE
 
 .sp
+.ne 2
+.na
+\fB\fB-z\fR \fBmulincl\fR\fR
+.ad
+.sp .6
+.RS 4n
+Allows multiple inclusion of the same file. By default, a warning is generated
+for libraries that are passed multiple times on the command line.  This option
+suppresses that warning, allowing \fB-z\fR \fBfatal-warnings\fR to be used when
+compiling code that makes multiple inclusions.  \fBNote:\fR When a file is
+specified more than once, only the first instance is included.
+.RE
+
+.sp
 .ne 2
 .na
 \fB\fB-z\fR \fBnocompstrtab\fR\fR
